Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Class StandardURIResolver

    java.lang.Object
      net.sf.saxon.StandardURIResolver

All Implemented Interfaces:
  Serializable, URIResolver, NonDelegatingURIResolver

Direct Known Subclasses:
  PTreeURIResolver, XomUriResolver

    public class StandardURIResolver

extends Object
implements NonDelegatingURIResolver, Serializable

This class provides the service of converting a URI into an InputSource. It is used to get stylesheet modules referenced by xsl:import and xsl:include, and source documents referenced by the document() function. The standard version handles anything that the java URL class will handle. You can write a subclass to handle other kinds of URI, e.g. references to things in a database.

Author:
  Michael H. Kay
See Also:
  Serialized Form

Constructor Summary
`StandardURIResolver()` Deprecated. since 8.7
`StandardURIResolver(Configuration config)` Create a StandardURIResolver, with a reference to a Configuration

Method Summary
`Configuration` | `getConfiguration()` Get the configuration if available
`boolean` | `queryParametersAreRecognized()` Determine whether query parameters (such as validation=strict) are to be recognized
`Source` | `resolve(String href, String base)` Resolve a URI
`void` | `setConfiguration(Configuration config)` Set the configuration
`void` | `setRecognizeQueryParameters(boolean recognize)` Indicate that query parameters (such as validation=strict) are to be recognized

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardURIResolver

    public StandardURIResolver()

  Deprecated. since 8.7

  Create a StandardURIResolver, with no reference to a Configuration. This constructor is not used internally by Saxon, but it may be used by user-written application code. It is deprecated because the StandardURIResolver works best when the Configuration is known.

### StandardURIResolver

    public StandardURIResolver(Configuration config)

  Create a StandardURIResolver, with a reference to a Configuration

  Parameters:
    `config` - The Configuration object. This is used to get a SAX Parser for a source XML document

Method Detail

### setRecognizeQueryParameters

    public void setRecognizeQueryParameters(boolean recognize)

  Indicate that query parameters (such as validation=strict) are to be recognized

  Parameters:
    `recognize` - Set to true if query parameters in the URI are to be recognized and acted upon. The default (for compatibility and interoperability reasons) is false.

### queryParametersAreRecognized

    public boolean queryParametersAreRecognized()

  Determine whether query parameters (such as validation=strict) are to be recognized

  Returns:
    true if query parameters are recognized and interpreted by Saxon.

### setConfiguration

    public void setConfiguration(Configuration config)

  Set the configuration

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration if available

### resolve

    public Source resolve(String href,
                          String base)
                   throws XPathException

  Resolve a URI

  Specified by:
    `resolve` in interface `URIResolver`
  Parameters:
    `href` - The relative or absolute URI. May be an empty string. May contain a fragment identifier starting with "#", which must be the value of an ID attribute in the referenced XML document.
    `base` - The base URI that should be used. May be null if uri is absolute.
  Returns:
    a Source object representing an XML document
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.